import type { ClientPerspective, ContentSourceMap, QueryParams } from '@sanity/client';
import type { ModuleOptions } from '@devite/nuxt-sanity';
export default abstract class SanityClient {
    config: ModuleOptions;
    sourceMap: ContentSourceMap | undefined;
    protected constructor(config: ModuleOptions);
    abstract fetch<T = unknown>(query: string, params: QueryParams, options?: {
        perspective?: ClientPerspective;
    }): Promise<T>;
}
