import defu from "defu";
import getOrCreateSanityClient from "../../utils/getOrCreateSanityClient.js";
import { useRuntimeConfig } from "#imports";
export default function useSanityClient(type) {
  const $config = useRuntimeConfig();
  const sanityConfig = defu($config.sanity, $config.public.sanity || {});
  const visualEditingEnabled = type !== "minimal" && sanityConfig.visualEditing && sanityConfig.visualEditing.previewMode !== false;
  return getOrCreateSanityClient(
    visualEditingEnabled || false,
    visualEditingEnabled ? {
      ...sanityConfig,
      token: sanityConfig.visualEditing?.token,
      useCdn: false
    } : sanityConfig,
    type
  );
}
