import MinimalSanityClient from "../client/MinimalSanityClient.js";
import DefaultSanityClient from "../client/DefaultSanityClient.js";
const clients = {};
export default function getOrCreateSanityClient(visualEditing, config, type) {
  const clientType = visualEditing ? "default" : type || (config.minimalClient ? "minimal" : "default");
  if (clientType in clients) return clients[clientType];
  const clientConfig = {
    ...config,
    stega: visualEditing && config.stega
  };
  const client = clientType === "minimal" ? new MinimalSanityClient(clientConfig) : new DefaultSanityClient(clientConfig);
  if (visualEditing && import.meta.client) client.createQueryStore();
  clients[clientType] = client;
  return client;
}
